﻿body {
    padding-top: 50px;
    padding-bottom: 20px;
}
footer {
    user-select: none;
}

/* Set padding to keep content from hitting the edges */

.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

/* Color of navbar #a40606 #a22306 #db8324 #a23506*/
.navbar {
    background-color: #a40606;
    background-image: linear-gradient(315deg, #ed5412 0%, #dd8a31 74%);
    font-weight: bold;
    border: 0;
    user-select: none;
}

.navbar-inverse .navbar-brand {
    font-size: 16px;
    padding: 0.15em 15px 0em 15px;
    margin-right: 2em;
}

.navbar-inverse .navbar-nav > li > a {
    color: white;
    text-shadow: 2px 1px 6px rgba(0,0,0,0.2), 0px -5px 35px rgba(255,255,255,0.3);
}

.navbar-inverse .navbar-nav > li > a:hover {
    color: white;
    background-color: #575757;

}

/*logo size*/
.logo {
    width: 4.2em;
}
.logo:hover {
    transform: scale(1.05);
}
.logo:active {
    transform: scale(0.95);
}
/*navbar button wear*/
.nav-btn-param {
    background: 0;
    border: 0;
    color: white;
    float:right;
    font-size: 2.1em;
}
.nav-btn-param > span:hover {   
    animation: roll 0.5s;
}
.nav-btn-param:visited {
    color: white;
}
.nav-btn-param > span {
    margin-top: 0.35em;
    text-shadow: 2px 1px 6px rgba(0,0,0,0.2), 0px -5px 35px rgba(0, 0, 0, 0.3);
}
.nav-btn-param > span:active {
    animation: none!important;
    transform: scale(0.90);
}

/*color of form*/
.jumbotron {
    background-color: #f47c16b0;
    margin-top: 6em;
    margin-bottom: 6em;
    border-radius: 50px !important;
}

/*Index and Search*/

/*border of upload zone*/
.import-border {
    border: 11px outset #878787;
    border-radius: 40px;
}
/*size of upload zone*/
.import-input {
    width: 100%;
    height: 16.8em;
    padding-right: 24.1em;
    border-radius: 40px;
    opacity: 0;
    margin: -0.8em 0em -0.8em -1.9em;
}
/*icon upload*/
.import-icon {
    font-size: 4em;
    position: absolute;
    margin: 1.35em 2.15em;
}
/*label icon*/
.import-textzone {
    position: absolute;
    font-weight: 600 !important;
    font-size: 1em !important;
    font-family: cursive;
    margin: 9.5em 8.4em;
    user-select: none;
}
/*file name*/
.file-textzone {
    text-align: center;
    margin: 10em 27%;
    width: 122px;
}
/*button submit of import and search*/
.import-submit {
    padding: 0.8em 1.1em;
    background-color: #ff7600;
    border-radius: 1.3em;
    border: none;
    outline: none;
    margin: 28% 10%;
    color: #ffebe1;
    box-shadow: 0px 8px 13px -8px #2c2424, 5px 5px 15px 5px rgba(0,0,0,0);
}
.import-submit:hover {
    transform: scale(1.02);
}
.import-submit:active {
    transform: scale(0.98);
    box-shadow:none;
}
.import-submit > span {
    margin-right: -0.05em;
    font-size: 2em;
}
/*msg return by index action */
.import-msg {
    font-size: 100% !important;
    float: right;
    margin-top: 35%;
}
/*DropDownList of year*/
#years {
    margin-bottom: 7em;
}

/*Refused import*/

.refused-import-h2 {
    user-select: none;
    margin-bottom: 2em;
    color: #000000b5;
    font-weight: 600;
    text-shadow: 2px 2px 6px rgba(0,0,0,0.2), 0px -5px 35px rgba(255,255,255,0.3);
}
.refused-import-col {
    box-shadow: 10px 10px 33px -9px rgba(0,0,0,0.75);
    padding: 0px !important;
    border-radius: 15px;
}
.refused-import-project-task {
    background-color: #5b5c80 !important;
    border: 8px solid #5b5c80;
    margin: 5% 0% 0% 0%;
}
.refused-import-customer {
    background-color: #ad2a2a !important;
    border: 8px solid #ad2a2a;
}
.refused-import-employee {
    background-color: #436d56 !important;
    border: 8px solid #436d56;
    float: right;
}


.refused-import-title {
    font-weight: 600;
    font-size: 1.3em;
    color: white;
}
.refused-import-list {
    margin:0px;
}

/*Select Assignment*/

.sa-h2 {
    user-select: none;
    text-align: center;
    margin-bottom: 1em;
    margin-top: 0em;
    color: whitesmoke;
    font-weight: 600;
    text-shadow: 2px 2px 6px rgba(0,0,0,0.2), 0px -5px 35px rgba(255,255,255,0.3);
}
.sa-table {
    background-color: #d8d8d8;
    border-collapse: inherit;
    border: 8px solid #20A335;
    border-radius: 15px;
    box-shadow: 3px 4px 40px -8px rgba(0,0,0,0.75);
}
.sa-thread {
    background-color: #20A335;
    color: white;
    font-size: 1.2em;
}
.sa-thread > tr > th{
    border-bottom: none!important;
}
#sa_submit {
    background-color: #20A335;
    color: white;
    padding: 0.3em 0.8em 0em 0.8em;
    border-radius: 18px;
    font-size: 2em;
    outline: none;
    margin-bottom: -2%;
    margin-top: 2%;
}
.sa-alert {
    margin-top: 3%;
    text-shadow: 1px 1px 4px rgba(0,0,0,0.2), 0px -5px 35px rgba(255,255,255,0.3);
    user-select: none;
}
.sa-zone-edit {
    background-color: palegreen;
    background-color: rgba(152,251,152,0.55);
}
.sa-checkbox {
    margin: 15% 42%!important;
}

/*Summary Tables*/

.st-h2 {
    user-select: none;
    text-align: center;
    margin-bottom: 1em;
    margin-top: 0em;
    color: #55524f;
    font-weight: 600;
    text-shadow: 2px 2px 6px rgba(0,0,0,0.2), 0px -5px 35px rgba(255,255,255,0.3);
}
.st-h4 {
    margin-top: 2em;
    text-shadow: 2px 2px 6px rgba(0,0,0,0.2), 0px -5px 35px rgba(255,255,255,0.3);
    font-weight: 600;
}
.st-h4-2 {
    margin-top: 5em;
    text-shadow: 2px 2px 6px rgba(0,0,0,0.2), 0px -5px 35px rgba(255,255,255,0.3);
    font-weight: 600;
}
#st_export {
    background: 0;
    width: 0px;
    padding: 0px;
    margin-left: 48%;
    border: 0;
    color: #2be128;
    font-size: 3em;
    text-shadow: 2px 2px 6px rgba(0, 0, 0, 0.2), 0px -5px 35px rgba(124, 124, 124, 0.3);
    outline-style: none !important;
}
#st_export:hover {
    color:#29ce26;
}
#st_export:active {
    text-shadow: none;
}
    .st-table-one {
    background-color: #ffbd79;
    border-collapse: inherit;
    border-radius: 10px;
    border: none;
    margin-bottom: 3px;
}
.st-table-two {
    background-color: #ffbd79;
    border-radius: 10px;
    border: none;
    margin-bottom: 3px;
}

.st-thread-one{
    background-color: #ff9900 !important;
    color: white;
    font-weight: 600;
}
.st-thread-two {
    background-color: #ff9900 !important;
    color: white;
    font-weight: 600;
}
.st-thread-one > tr > th {
    border-bottom: 3.3px solid white !important;
    min-width: 100px;
}
.st-thread-two> tr > th {
    min-width: 14em;
}
.st-scroll-table {
    overflow-x: auto;
    box-shadow: 3px 4px 40px -8px rgba(0,0,0,0.75);
    border: 8px solid #ffffff;
    border-radius: 14px;
    background-color: white;
}
    .st-scroll-table::-webkit-scrollbar {
        width: 1em;
        height: 11px;
        background-color: white;
        border: 1px solid grey;
        border-radius: 10px;
    }
    .st-scroll-table::-webkit-scrollbar-thumb {
        background-color: #8C8C8C;
        border-radius: 10px;
        width: 20px;
    }
    .st-scroll-table::-webkit-scrollbar-thumb:hover {
        background-color: #727272;
            
    }

.st-table-one > tbody > tr:nth-child(2n+1) > td, .st-table-two > tbody > tr:nth-child(2n+1) > td {
    background-color: #ffdcb8 !important;
}
.st-table-one > thead > tr > th, .st-table-one > tbody > tr > td, .st-table-one > tbody > tr > th {
    border: 2px solid white;
}
.st-table-two > thead > tr > th, .st-table-two > tbody > tr > td {
    border: 3px solid white;
}
.st-td-null {
    background-color: white !important;
}
.st-table-legend {
    background-color: white;
    margin-top: 2em;
    border-radius: 9px;
    border-collapse: separate;
    border: 3px solid white;
    border-radius: 8px;
    max-width: 50%;
    font-size: 0.8em;
    font-weight: 600;
}
.st-table-legend > tbody > tr > td, .st-table-legend > tbody > tr > th{
    width: 15%;
    border-radius: 5px;
}

/*Settings*/

.jumbotron-setting {
background-color: #f47c16b0;
border-radius: 50px;
border-radius: 0px 40px 0px 40px !important;
}

.setting-icon {
    font-size: 200%;
}
/*buttons*/
.setting-plus {
    font-size: 1.2em;
    margin-left: 0.3em;
    color: #039303;
}
.setting-plus:hover {
    font-size: 1.2em;
    margin-left: 0.3em;
    color: black;
}
.setting-plus:active {
    transform: scale(0.95);
}

.setting-edit {
    color: white;
    background-color: #1212e5ba;
    padding: 0.3em;
    border-radius: 0.4em;
    margin-right: 0.5em;
    text-decoration: none !important;
}

.setting-edit:hover {
    color: black;
}
.setting-edit:active {
    transform: scale(0.98);
}

.setting-delete {
    color: white;
    background-color: #ed1919ba;
    padding: 0.3em 0.4em 0.3em 0.3em;
    
    border-radius: 0.4em;
    text-decoration: none!important;
}

.setting-delete:hover {
    color: black;
}
.setting-delete:active {
    transform: scale(0.98);
}

.setting-task {
    color: white;
    background-color: #495153ba;
    padding: 0.3em 0.6em 0.3em 0.5em;
    border-radius: 0.3em;
    text-decoration: none !important;
    font-size: 19px;
}

.setting-task:hover {
    color: black;
}
.setting-task:active {
    transform: scale(0.98);
}

.setting-submit-form {
    padding: 0.25em 0.3em 0.05em 0.3em;
    border-radius: 0.4em;
    margin-right: 0.5em;
    margin-top: 4%;
    font-size: 95%;
    outline-style: none !important;
}

.setting-cancel-form {
    color: white;
    background-color: #000000de;
    padding: 0.25em 0.35em 0.05em 0.3em;
    border-radius: 0.4em;
    margin-top: 4%;
    font-size: 95%;
    outline-style: none !important;
    border-color: white;
}
.setting-pulse {
    animation: pulse-animation 1s;
}

/*settings tables*/
.tab-content{
    overflow-x:auto;
}
.setting-table {
    background-color: white;
    margin-top: 7%;
    border-radius: 8px;
}
.setting-thread {
    background-color: #f47c1647;
}
/*settings nav buttons*/
.setting-nav > div > a {
    color: white;
    width: 7em;
    height: 6.3em;
    border-radius: 14px !important;
    padding-top: 1.2em !important;
    -webkit-box-shadow: 0px 10px 13px -7px #000000, 5px 5px 15px 5px rgba(0,0,0,0);
    box-shadow: 0px 10px 13px -7px #000000, 5px 5px 15px 5px rgba(0,0,0,0);
    float: left;
    text-decoration: none !important;
    user-select: none!important;
    text-align: center;
    font-size: 90%;
}

.setting-nav > div > a:hover {
 transform: scale(1.04);
}

.setting-nav > div > a:active {
    transform: scale(0.98);
    box-shadow: none;
}
.setting-nav-focus {
    transform: scale(0.98);
    box-shadow: none!important;
}
/*color buttons nav settings*/
.assignment {
    background-color: #2c2626 !important;
}
.project {
    background-color: #5b5c80 !important;
}
.employee {
    background-color: #436d56 !important;
}
.customer {
    background-color: #911010e3 !important;
}

/*Modals settings*/
.modal-task {
    top: 25%;
}
.modal-close {
    font-size: 250%;
    margin-bottom: -1em;
}
.modal-delete {
    top: 27%;
}
.modal-content-delete {
    border: none !important;
}
.modal-header-delete {
    background-color: #ed1919e6;
    border-radius: 5px 5px 0px 0px;
    color: white;
}
.modal-delete-button {
    background-color: #ed1919e6;
}

/*Responsive code*/

/* Screen min 1200px */
@media screen and (min-width: 1200px) {
    .modal-delete {
        width: 26%;
    }
}
/* Screen max 1200px */
@media screen and (max-width: 1200px) {
    /*upload zone and icon + text responsive*/
    .import-icon {
        margin: 1.35em 1.6em;
    }
    .import-input {
        padding-right: 19.2em;
    }
    .import-textzone {
        margin: 9.5em 6.3em;
    }
    .file-textzone {
        text-align: center;
        margin: 10em 22%;
    }
    .import-submit {
        margin: 36% 10%;
    }
    .import-msg {
        margin-top: 44%;
    }
    /*table legend responsive*/
    .st-table-legend{
        font-size: 0.6em;
    }
}

/* Screen max 991px */
@media screen and (max-width: 991px) {
    /*submit form responsive*/
    #submit {
        margin-bottom: 1em;
    }
    /*upload zone and icon + text responsive*/
    .import-icon {
        margin: 1.4em 41%;
    }
    .import-input {
        padding-right: 108%;
    }
    .import-textzone {
        margin: 10em 40.5%;
    }
    .file-textzone {
        text-align: center;
        margin: 10em 35%;
    }
    .import-submit {
        margin: 10% -4%;
    }
    .import-msg {
        margin-top: 16%;
    }
    .refused-import-customer {
        margin: 0% 0% 5% 0%;
    }
    .setting-nav > div > a {
        font-size: 70%;
    }
    .setting-nav > div > a {
        font-size: 50%;
    }
}
/* Screen max 767px */
@media screen and (max-width: 767px) {

    .nav-btn-param{
        float:left;
    }
    .refused-import-employee {
        float: none!important;
    }

}
/* Screen max 600px */
@media screen and (max-width: 600px) {

    .nav-btn-param {
        float: left;
    }

    .import-icon {
        margin: 1.4em 34%;
    }

    .import-input {
        padding-right: 118%;
    }

    .import-textzone {
        margin: 10em 27%;
    }

    .file-textzone {
        text-align: center;
        margin: 10em 22%;
    }

    .import-msg {
        margin-top: 23%;
    }

    #st_export {
        margin-left: 46%;
    }

    .st-table-legend {
        min-width: 100%;
        font-size: 0.5em;
    }
}

/*Animations*/

@keyframes pulse-animation {
    0% {
        opacity: 1;
        transform: scale(1);
    }

    20% {
        opacity: 0.9;
        transform: scale(1.03);
    }

    40% {
        opacity: 1;
        transform: scale(1);
    }

    70% {
        opacity: 0.8;
        transform: scale(1.033);
    }

    100% {
        opacity: 1;
        transform: scale(1);
    }
}

@keyframes roll {
    0% {
        transform: rotate(0);
    }

    100% {
        transform: rotate(90deg);
    }
}